## gate
Interface LanguageAnalyser

All Superinterfaces:
  Executable, FeatureBearer, NameBearer, ProcessingResource, Resource, Serializable

All Known Implementing Classes:
  AbstractLanguageAnalyser

public interface LanguageAnalyser
extends ProcessingResource

A special type of `ProcessingResource` that processes `Document`s

Method Summary
`Corpus` `getCorpus()` Get the corpus property for this analyser.
`Document` `getDocument()` Get the document property for this analyser.
`void` `setCorpus(Corpus corpus)` Set the corpus property for this analyser.
`void` `setDocument(Document document)` Set the document property for this analyser.

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, init, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Methods inherited from interface gate.Executable
`execute`

Method Detail

### setDocument

    public void setDocument(Document document)

  Set the document property for this analyser.

### getDocument

    public Document getDocument()

  Get the document property for this analyser.

### setCorpus

    public void setCorpus(Corpus corpus)

  Set the corpus property for this analyser.

### getCorpus

    public Corpus getCorpus()

  Get the corpus property for this analyser.